MessageRenderer (Struts Faces 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.renderer
Class MessageRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.struts.faces.renderer.AbstractRenderer
              org.apache.struts.faces.renderer.WriteRenderer
                  org.apache.struts.faces.renderer.MessageRenderer

    public class MessageRenderer

extends WriteRenderer

`Renderer` implementation for the `message` tag from the Struts-Faces Integration Library.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Constructor Summary
`MessageRenderer()`

Method Summary
`protected String` | `getText(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Return the message format String to be processed for this message.

Methods inherited from class org.apache.struts.faces.renderer.WriteRenderer
`encodeEnd`

Methods inherited from class org.apache.struts.faces.renderer.AbstractRenderer
`decode, encodeBegin, encodeChildren, encodeRecursive, getAsString, isDisabled, isReadOnly, renderAttributes, renderBoolean, renderEnd, renderPassThrough, renderStart, setSubmittedValue`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageRenderer

    public MessageRenderer()

Method Detail

### getText

    protected String getText(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

  Return the message format String to be processed for this message.

  Overrides:
    `getText` in class `WriteRenderer`
  Parameters:
    `context` - FacesContext for the response we are creating
    `component` - Component to be rendered
  Throws:
    `IllegalArgumentException` - if no MessageResources bundle can be found
    `IllegalArgumentException` - if no message key can be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.